///
// Use jquery

/**
 * This method indicates if an element is included in a list
 * @param list
 * @param element
 *
 */
function content( elementList, element )
{
    var index = jQuery.inArray( element, elementList );
    return (-1 != index);
}

function getJSONUser()
{
    return getLoginModule().getJSONUser();
}

function getJSONUserRole()
{
    return getLoginModule().getJSONUserRole();
}

function getPath()
{
    return InterfaceTemplate.path;
}

function setPath( path )
{
    InterfaceTemplate.path = path;
}

function getLoginModule()
{
    return InterfaceTemplate.loginModule;
}

function setLoginModule( loginModule )
{
    InterfaceTemplate.loginModule = loginModule;
}

function neededLogin( href )
{
    $( "#signin_menu" ).ready( function()
    {
        if( !getJSONUser() )
            getLoginModule().showLogin( loginTexts["login.text"] );
        else
            document.location.href = getPath() + href;
    } );
}

// Si besoin pour afficher le module dès le chargement de la page
//window.onload = function()
//{
//    getLoginModule().showLogin( "<bean:message key="login.text"/>" );
//}


// Need to import javascript librairy "calendar/anytime.js"
function formatDate( date, formatDate )
{
    var format = formatDate ? formatDate : "%Y-%m-%d %H:%i";
    var calendarConverter = new AnyTime.Converter( { format: format } );
    return calendarConverter.format( date );
}

// PAGINATION
function decrementPage( pageContainer, maxPageContainer )
{
    var value = parseInt( $( pageContainer ).html() );
    setPage( value - 1, pageContainer, maxPageContainer );
}

function incrementPage( pageContainer, maxPageContainer )
{
    var value = parseInt( $( pageContainer ).html() );
    setPage( value + 1, pageContainer, maxPageContainer );
}

function resetPage( pageContainer, maxPageContainer )
{
    var maxPages = parseInt( $( maxPageContainer ).html() );
    var page = Math.min( 1, maxPages );
    $( pageContainer ).textContent = Math.max( 1, page );
}

function setPage( page, pageContainer, maxPageContainer )
{
    var maxPages = parseInt( $( maxPageContainer ).html() );
    page = Math.min( page, maxPages );
    $( pageContainer ).html( Math.max( 1, page ) );
}
